## A small example - the issue is that there is a problem with the node order
## after ape2ouch() on BEAST tree output, the nodes are not in traversal order
## Here is a smaller example. 12 taxon tree file from BEAST

prim <- read.nexus("Primates.MCC.tree")
plot(prim)
nodelabels()
prim$edge
str(prim)

oprim <- ape2ouch(prim)
plot(oprim, frame.plot=F)

# If we write out the csv 

write.csv(as(oprim, "data.frame"), file="primates.csv")
dat <- read.csv("primates.csv")
oprim1 <- with(dat, ouchtree(nodes, ancestors, times, labels))
plot(oprim1, frame.plot=F)   ## still scrambled 

## and correct node order from ape tree, it is fine

dat <- dat[c(1:11,12, 20, 13, 17, 16, 18, 19, 21, 14, 15, 22, 23),]  ## reorder
oprim2 <- with(dat, ouchtree(nodes, ancestors, times, labels))
plot(oprim2, frame.plot=F)   ## now OK

